Error in NCURSES-5.7 Procedure?

Chris Staub chris at beaker67.com
Sat May 2 20:57:31 PDT 2009


alupu wrote:
> On Fri, May 1, 2009 at 10:50 PM, Chris Staub <chris at beaker67.com> wrote.
> 
> Hi Chris,
> 
> I think the main problem here is that youse guys
> have not read my original post in any depth.
> 
> Let me be very clear:
> You DON'T have to.  Nor to give any reason for not
> going over it at all or in any meaningful fashion.
> Everybody is busy and has at least global problems
> nowadays.
> 
> If anyone looks at the archives for the last two months
> or so, I have posts where nobody bothered to reply at all.
> Not even in this fashion, where so far the reply/comments are
> completely off the subject (as wrong as I might actually be
> on _my_ subject).
> Life goes on, NO problem.  Many thanks for your work, in general.

In other words, you:

1. Did not provide important information such as the LFS version you are 
using (and still have not)
2. Neglected to specify and *plainly state* that you are in fact 
following only *part* of the LFS book
3. Instead give a whole bunch of generic rambling talk about how you 
think the LFS book can be done and expect us to "interpret" from that 
what you are attempting to do, and despite all this you
4. Proceed to claim that we are idiots for not being able to understand 
you and/or just plain don't give a crap about your problem.

> << One might say I'm at _B_LSF level, with certain holes
> plugged in with the help of _L_FS procedures.
> Moving from my original, _2005_ LFS ncurses 5.4 to
> the latest, 5.7, is a case in point (i.e. keeping up with the
> Joneses).>>
> 
> All these years, I've been under the impression that,
> once in BLFS, nothing can (or should) stop me from using
> the LFS procedures when missing in BLFS for needed upgrades,
> such as Udev, Kernel, M4, NCURSES (to name a few) or true holes.

This is, in fact, *exactly* what Ken was talking about, when you 
responded and told him he just doesn't know what he's talking about...

Ken Moffat wrote:
 >
 >  To me, that sounds like you are using a "rebuild everything in
 > place, but using newer versions" method.  We should be able to
 > rebuild in-place to prove that a system can rebuild itself, but
 > upgrading versions of random packages without attending to
 > idiosyncracies and symlinks _will_ eventually produce this sort of
 > problem.  I've updated a lot of packages on my systems (mostly blfs,
 > but some in lfs) since LFS-6.3 and some of them need extra actions to
 > fix things up.  I've also had a lot of breakage porting the
 > ncursesw-5.6 stuff to my own builds of clfs (the symptom there is
 > that the next package, procps I think, fails to compile).
 >

So, when he gives an accurate description of exactly what you are doing, 
you tell him that he couldn't possibly have been more wrong. And you 
accuse *us* not bothering to read and comprehend *your* messages?

> I gather that you either
> - do not assume that the fine procedures in Ch. 6 cannot
> be used in isolation (i.e., by a "BLFS" guy), and/or
> - you have procedures for those BLFS upgrades stashed away
> somewhere that I'm not aware of.  If so, again, apologies
> and please direct me to, for example, the place I can find
> the real procedure for the upgrade to nurses-5.7.

There is none, as far as LFS is concerned, aside from the generic 
comments in the FAQ (and given how much you complain how other people 
not bothering to read, I guess I can assume that you *have* in fact read 
the FAQ) about upgrading stuff.

> As a general statement, with this "exception", the Ch. 6
> procedures (Devl. Book) work just find in a "non-chroot"
> environment (otherwise I wouldn't be here to talk about it :)

To answer your original question (at least, assuming I actually know 
what your question was), upgrading packages on an existing system, 
particularly those that are part of the base LFS system, is always a bit 
risky, and is not officially supported by the book. Therefore, your 
problem (emphasis on *your*) is simply not an issue, as it is assumed 
that anyone using the LFS book will be using ALL of it. You want to 
upgrade, either build a whole system with the book, use a package 
manager when you install stuff, or Google for solutions (or of course, 
the 4th option, just try it and see what happens).

Maybe next time you have an issue you will have learned both to provide 
clear details, and avoid insulting people that are trying to help you.



More information about the lfs-support mailing list